/* 
 * glass - the openGL Articulated Skeleton System
 *
 * Copyright (C) 2001-2003  Robert Ancell <bob27@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __glass_load_h__
#define __glass_load_h__

#include "global.h"
#include "glass_library.h"

/* Maximum size of a line in the model file */
#define MAX_LINE_LENGTH 1024

/* Maximum size of a word in the model file */
#define MAX_WORD_LENGTH 1024

/* Maximum number of children in a node */
#define MAX_NODE_CHILDREN 64

/* Load the model file 'fname', use a library if library != NULL */
GlassModel *_glassLoadModel(GlassLibrary *library, const char *fname);

#endif /* __glass_load_h__ */
